
import { SkMenuImpl } from "../../sk-menu/src/impl/sk-menu-impl.js";

export class JquerySkMenu extends SkMenuImpl {

    get prefix() {
        return 'antd';
    }

    renderItems() {
        let items = this.comp.el.querySelectorAll('sk-menu-item');
        for (let item of items) {
            this.body.insertAdjacentHTML('beforeend', `
                <li class="sk-menu-item ui-menu-item" role="menuitem" tabindex="-1">
                    <span>
                        ${item.innerHTML}
                    </span>
                </li>
            `);
            item.parentElement.removeChild(item);
        }
    }



}
